// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.2
// source: management-api/management/management.proto

package management

import (
	proto "github.com/golang/protobuf/proto"
	zone "gitlab.com/commonground/xbrp/desq/zone-api/zone"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type NetworkStatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *NetworkStatusRequest) Reset() {
	*x = NetworkStatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NetworkStatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NetworkStatusRequest) ProtoMessage() {}

func (x *NetworkStatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NetworkStatusRequest.ProtoReflect.Descriptor instead.
func (*NetworkStatusRequest) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{0}
}

type NetworkStatusReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Zones []*zone.ZoneStatus `protobuf:"bytes,1,rep,name=zones,proto3" json:"zones,omitempty"`
}

func (x *NetworkStatusReply) Reset() {
	*x = NetworkStatusReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NetworkStatusReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NetworkStatusReply) ProtoMessage() {}

func (x *NetworkStatusReply) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NetworkStatusReply.ProtoReflect.Descriptor instead.
func (*NetworkStatusReply) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{1}
}

func (x *NetworkStatusReply) GetZones() []*zone.ZoneStatus {
	if x != nil {
		return x.Zones
	}
	return nil
}

type EventsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EventsRequest) Reset() {
	*x = EventsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EventsRequest) ProtoMessage() {}

func (x *EventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EventsRequest.ProtoReflect.Descriptor instead.
func (*EventsRequest) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{2}
}

type EventsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Events []*ManagementAPIEvent `protobuf:"bytes,1,rep,name=events,proto3" json:"events,omitempty"`
}

func (x *EventsReply) Reset() {
	*x = EventsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EventsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EventsReply) ProtoMessage() {}

func (x *EventsReply) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EventsReply.ProtoReflect.Descriptor instead.
func (*EventsReply) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{3}
}

func (x *EventsReply) GetEvents() []*ManagementAPIEvent {
	if x != nil {
		return x.Events
	}
	return nil
}

type JournalsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *JournalsRequest) Reset() {
	*x = JournalsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JournalsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JournalsRequest) ProtoMessage() {}

func (x *JournalsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JournalsRequest.ProtoReflect.Descriptor instead.
func (*JournalsRequest) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{4}
}

type JournalsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Journals []*Journal `protobuf:"bytes,1,rep,name=journals,proto3" json:"journals,omitempty"`
}

func (x *JournalsReply) Reset() {
	*x = JournalsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JournalsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JournalsReply) ProtoMessage() {}

func (x *JournalsReply) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JournalsReply.ProtoReflect.Descriptor instead.
func (*JournalsReply) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{5}
}

func (x *JournalsReply) GetJournals() []*Journal {
	if x != nil {
		return x.Journals
	}
	return nil
}

type ManagementAPIEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Zid   string `protobuf:"bytes,1,opt,name=zid,proto3" json:"zid,omitempty"`
	Event []byte `protobuf:"bytes,2,opt,name=event,proto3" json:"event,omitempty"` // TODO make this Event instead of bytes?
}

func (x *ManagementAPIEvent) Reset() {
	*x = ManagementAPIEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ManagementAPIEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ManagementAPIEvent) ProtoMessage() {}

func (x *ManagementAPIEvent) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ManagementAPIEvent.ProtoReflect.Descriptor instead.
func (*ManagementAPIEvent) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{6}
}

func (x *ManagementAPIEvent) GetZid() string {
	if x != nil {
		return x.Zid
	}
	return ""
}

func (x *ManagementAPIEvent) GetEvent() []byte {
	if x != nil {
		return x.Event
	}
	return nil
}

type Journal struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonReference []byte `protobuf:"bytes,1,opt,name=person_reference,json=personReference,proto3" json:"person_reference,omitempty"`
}

func (x *Journal) Reset() {
	*x = Journal{}
	if protoimpl.UnsafeEnabled {
		mi := &file_management_api_management_management_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Journal) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Journal) ProtoMessage() {}

func (x *Journal) ProtoReflect() protoreflect.Message {
	mi := &file_management_api_management_management_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Journal.ProtoReflect.Descriptor instead.
func (*Journal) Descriptor() ([]byte, []int) {
	return file_management_api_management_management_proto_rawDescGZIP(), []int{7}
}

func (x *Journal) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

var File_management_api_management_management_proto protoreflect.FileDescriptor

var file_management_api_management_management_proto_rawDesc = []byte{
	0x0a, 0x2a, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2d, 0x61, 0x70, 0x69,
	0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x6d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x18, 0x7a, 0x6f, 0x6e, 0x65, 0x2d, 0x61,
	0x70, 0x69, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x16, 0x0a, 0x14, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x3c, 0x0a, 0x12, 0x4e, 0x65,
	0x74, 0x77, 0x6f, 0x72, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x12, 0x26, 0x0a, 0x05, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x10, 0x2e, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x05, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x22, 0x0f, 0x0a, 0x0d, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x45, 0x0a, 0x0b, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x36, 0x0a, 0x06, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74,
	0x41, 0x50, 0x49, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x22, 0x11, 0x0a, 0x0f, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x22, 0x40, 0x0a, 0x0d, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x2f, 0x0a, 0x08, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x2e, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x52, 0x08, 0x6a, 0x6f, 0x75,
	0x72, 0x6e, 0x61, 0x6c, 0x73, 0x22, 0x3c, 0x0a, 0x12, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x41, 0x50, 0x49, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x7a,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x7a, 0x69, 0x64, 0x12, 0x14, 0x0a,
	0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x05, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x22, 0x34, 0x0a, 0x07, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x12, 0x29,
	0x0a, 0x10, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e,
	0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x32, 0xa7, 0x02, 0x0a, 0x0a, 0x4d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x3e, 0x0a, 0x0a, 0x5a, 0x6f, 0x6e, 0x65,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x17, 0x2e, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x5a, 0x6f,
	0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x15, 0x2e, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x53, 0x0a, 0x0d, 0x4e, 0x65, 0x74, 0x77,
	0x6f, 0x72, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x20, 0x2e, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1e, 0x2e, 0x6d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x3e, 0x0a,
	0x06, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x19, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65,
	0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x17, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x44, 0x0a,
	0x08, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x12, 0x1b, 0x2e, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x2e, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x22, 0x00, 0x42, 0x3d, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78,
	0x62, 0x72, 0x70, 0x2f, 0x64, 0x65, 0x73, 0x71, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65,
	0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_management_api_management_management_proto_rawDescOnce sync.Once
	file_management_api_management_management_proto_rawDescData = file_management_api_management_management_proto_rawDesc
)

func file_management_api_management_management_proto_rawDescGZIP() []byte {
	file_management_api_management_management_proto_rawDescOnce.Do(func() {
		file_management_api_management_management_proto_rawDescData = protoimpl.X.CompressGZIP(file_management_api_management_management_proto_rawDescData)
	})
	return file_management_api_management_management_proto_rawDescData
}

var file_management_api_management_management_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_management_api_management_management_proto_goTypes = []interface{}{
	(*NetworkStatusRequest)(nil),   // 0: management.NetworkStatusRequest
	(*NetworkStatusReply)(nil),     // 1: management.NetworkStatusReply
	(*EventsRequest)(nil),          // 2: management.EventsRequest
	(*EventsReply)(nil),            // 3: management.EventsReply
	(*JournalsRequest)(nil),        // 4: management.JournalsRequest
	(*JournalsReply)(nil),          // 5: management.JournalsReply
	(*ManagementAPIEvent)(nil),     // 6: management.ManagementAPIEvent
	(*Journal)(nil),                // 7: management.Journal
	(*zone.ZoneStatus)(nil),        // 8: zone.ZoneStatus
	(*zone.ZoneStatusRequest)(nil), // 9: zone.ZoneStatusRequest
	(*zone.ZoneStatusReply)(nil),   // 10: zone.ZoneStatusReply
}
var file_management_api_management_management_proto_depIdxs = []int32{
	8,  // 0: management.NetworkStatusReply.zones:type_name -> zone.ZoneStatus
	6,  // 1: management.EventsReply.events:type_name -> management.ManagementAPIEvent
	7,  // 2: management.JournalsReply.journals:type_name -> management.Journal
	9,  // 3: management.Management.ZoneStatus:input_type -> zone.ZoneStatusRequest
	0,  // 4: management.Management.NetworkStatus:input_type -> management.NetworkStatusRequest
	2,  // 5: management.Management.Events:input_type -> management.EventsRequest
	4,  // 6: management.Management.Journals:input_type -> management.JournalsRequest
	10, // 7: management.Management.ZoneStatus:output_type -> zone.ZoneStatusReply
	1,  // 8: management.Management.NetworkStatus:output_type -> management.NetworkStatusReply
	3,  // 9: management.Management.Events:output_type -> management.EventsReply
	5,  // 10: management.Management.Journals:output_type -> management.JournalsReply
	7,  // [7:11] is the sub-list for method output_type
	3,  // [3:7] is the sub-list for method input_type
	3,  // [3:3] is the sub-list for extension type_name
	3,  // [3:3] is the sub-list for extension extendee
	0,  // [0:3] is the sub-list for field type_name
}

func init() { file_management_api_management_management_proto_init() }
func file_management_api_management_management_proto_init() {
	if File_management_api_management_management_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_management_api_management_management_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NetworkStatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NetworkStatusReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EventsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EventsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JournalsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JournalsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ManagementAPIEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_management_api_management_management_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Journal); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_management_api_management_management_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_management_api_management_management_proto_goTypes,
		DependencyIndexes: file_management_api_management_management_proto_depIdxs,
		MessageInfos:      file_management_api_management_management_proto_msgTypes,
	}.Build()
	File_management_api_management_management_proto = out.File
	file_management_api_management_management_proto_rawDesc = nil
	file_management_api_management_management_proto_goTypes = nil
	file_management_api_management_management_proto_depIdxs = nil
}
